Subject: Re: [TR] Rings Not seating

From: "Randall" <[email-masked]>
Date: Sun, 21 Jun 2015 18:00:20 -0700

> The intent it not to scratch the cylinder walls with the 
> powder (indeed Bon Ami is quite gentle in that regard) 

I'll just point out that there are two different formulations of Bon Ami.  I believe you want the "Cleaning Powder", as opposed to
the "Powder Cleanser", because the more common cleanser has hard particles in it that can scratch. The "gentle" one is rather harder
to find around here, I couldn't find it in any local grocery store when I looked.  But OSH had it.

I believe you want the one that says "safe for use on glass" on the label.  The other formula doesn't say anything about safe or not
for glass, but the Right Stuff says it _is_ safe.  The label used to be more yellow (as opposed to the gold on the cleanser), but
apparently they've redone it again and it's now red and says "1886 Formula" in big letters.

"This is the only Bon Ami powder that is recommended for use on glass."
http://www.bonami.net/Bon-Ami-1886-Formula-Cleaning-Powder--12-oz--6-pack_p_10.html

-- Randall  

** [email-masked] **

Archive: http://www.team.net/archive